package cn.edu.zjvtit.cloudstorage.dataservice;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
public class DataServiceApplication {
    private static final Logger logger = LoggerFactory.getLogger(DataServiceApplication.class);
    //初始化静态私有的日志对象， 在日志输出的时候，可以打印出日志信息所在data服务应用程序类
    public static void main(String[] args) {
        SpringApplication.run(DataServiceApplication.class, args);
    }
    //启动data服务应用程序类参数

    @Bean//实例化
    public Logger getLogger() {
        return logger;
    }
    //返回日志
}
